#!/bin/bash

# 检查参数个数
if [ $# -ne 1 ]; then
  echo "请传入url参数"
  exit 1
fi

# 获取下载链接
download_link="$1"

# 下载文件
curl -o /tmp/_temp.tar "$download_link"

# 检查下载是否成功
if [ $? -ne 0 ]; then
  echo "文件下载失败"
  exit 1
fi

# 检查文件大小
file_size=$(stat -c%s /tmp/_temp.tar)
if [ $file_size -lt 2048 ]; then
  echo "文件大小不足 2KB"
  exit 1
fi

# 解压文件
tar xf /tmp/_temp.tar -C /root/.acme.sh

# 清理临时文件
rm /tmp/_temp.tar

echo "操作完成"
